<script setup lang="ts">
import { RouterView } from 'vue-router'
import { RouterLink } from 'vue-router'
import { useRoute } from 'vue-router' //infomation ว่าเราอยู่ไหน
import { useRouter } from 'vue-router' //เคลื่อนย้ายคน

const router = useRouter()
const route = useRoute()
function goToChat() {
  router.push({ name: 'chat' })
}

// import HomeView from './views/HomeView.vue';
// import ChatView from './views/ChatView.vue';
// import AddressBoxView from './views/AddressBoxView.vue';
</script>

<template>
  <!-- <HomeView></HomeView>
  <ChatView></ChatView>
  <AddressBoxView></AddressBoxView> -->
  <ul>
    <li>
      <RouterLink :class="{ active: route.name === 'home' }" to="/">Home</RouterLink>
    </li>
    <li>
      <RouterLink :class="{ active: route.name === 'chat' }" :to="{ name: 'chat' }"
        >Chat</RouterLink
      >
    </li>
    <li>
      <RouterLink :class="{ active: route.name === 'address-book' }" :to="{ path: '/address-book' }"
        >Address Book
      </RouterLink>
    </li>
    <li>
      <RouterLink :class="{ active: route.name === 'home2' }" :to="{ path: '/home2' }"
        >home2
      </RouterLink>
    </li>
    <li>
      <RouterLink :class="{ active: route.name === 'home3' }" :to="{ path: '/home3' }"
        >home3
      </RouterLink>
    </li>
  </ul>
  <div>{{ route.name }}</div>
  <div>{{ route.path }}</div>
  <button @click="goToChat()">Click to Chat</button>
  <div
    style="
      margin-left: 25%;
      padding: 1px 16px;
      height: 1000px;
      width: 75%;
      background-color: #dddddd;
    "
  >
    <RouterView
      style="margin: auto; width: 700px; background-color: azure; height: 1000px"
    ></RouterView>
  </div>
</template>

<style>
body {
  margin: 0;
  font-family: 'Kanit';
  font-size: 22px;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 25%;
  background-color: #f1f1f1;
  position: fixed;
  height: 100%;
  overflow: auto;
}

li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

li a.active {
  background-color: #04aa6d;
  color: white;
}

li a:hover:not(.active) {
  background-color: #555;
  color: white;
}
</style>
